Retrieve Job Results
curl --request GET \
--url https://api.uplift.ai/v1/data/export/job/{jobId}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uplift.ai/v1/data/export/job/{jobId}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uplift.ai/v1/data/export/job/{jobId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"rowCount": 123,
"schema": [
{
"name": "<string>",
"type": {
"name": "<string>"
}
}
],
"rows": [
{}
]
}{
"error": "BadRequest",
"message": "The request parameters are invalid. Please review the request and try again."
}{
"error": "Unauthorized",
"message": "Bearer token is missing or invalid."
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource."
}{
"error": "NotFound",
"message": "The specified job ID was not found."
}{
"error": "TooManyRequests",
"message": "The rate limit has been exceeded. Please wait and try again later."
}{
"error": "InternalServerError",
"message": "An unexpected error occurred on the server. Please try again later."
}Data Export
Get Job Results
Retrieves the results of a completed job using the job ID.
GET
/
data
/
export
/
job
/
{jobId}
/
results
Retrieve Job Results
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier for the job whose results need to be retrieved.
Query Parameters
Number of rows to skip for pagination. Default is 0.
Read more about Retrieving Data in Batches for usage examples.
Number of rows to retrieve. Maximum valid value is 500. Default is 100. Use with the offset query parameter to paginate and retrieve more than the first 500 results.
Read more about Retrieving Data in Batches for usage examples.